@import '../variables';

nav {
  position: fixed;
  bottom: 0;
  width: 100%;
  display: flex;
  height: 82px;
  background: $mainBlueColor;
  align-items: center;
  ul {
    display: flex;
    width: 100%;
    justify-content: space-between;
    height: 100%;
    li {
      display: flex;
      align-items: center;
      flex-direction: column;
      width: 25%;
      height: 100%;
      button {
        background: transparent;
        border: none;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
        height: 100%;
        font-family: $Montserrat;
        gap: 3px;
        font-weight: 400;
        font-size: 14px;
        color: $blueFontColor;
        cursor: pointer;
        transition: color .2s ease;
        &[disabled] {
          color: gray;
        }
        &.is-active {
          color: $lightFontColor;
          svg {
            fill: rgba($color: $lightFontColor, $alpha: .7);
            path {
              stroke: $lightFontColor;
            }
          }
        }
        svg img {
          transition: fill .2s ease;
          margin-bottom: 4px;
          path {
            transition: stroke .2s ease;
          }
        }
      }
    }
  }
}
